REXPLORER(1)

NAME
rexplorer - rexplorer

SYNOPSIS
rexplorer

DESCRIPTION

--help
    Display usage and exit.

--version
    Print version information and exit. [optional]

--action
    Action digest to view. Must be of the form <hash>/<size> [optional]

--root-digest
    Root directory digest. Must be of the form <hash>/<size> [optional]

--depth
    How many levels of the input root to fetch, a negative value means print the entire root [optional, default = 1]

--digest-function
    Set a custom digest function. Supported functions: SHA512, SHA384, SHA256, SHA1, MD5 [optional, default = "SHA256"]

--log-level
    Log level (debug, error, info, trace, warning) [optional, default = "error"]

--verbose
    Set log level to 'debug' [optional]

--pretty
    Print human readable JSON [optional]

--remote
    URL for all services [optional]

--instance
    Instance for all services [optional]

--server-cert
    Server TLS certificate for all services (PEM-encoded) [optional]

--client-key
    Client private TLS key far all services (PEM-encoded) [optional]

--client-cert
    Client TLS certificate for all services (PEM-encoded) [optional]

--access-token
    Authentication token for all services (JWT, OAuth token etc), will be included as an HTTP Authorization bearer token [optional]

--token-reload-interval
    Default access token refresh timeout [optional]

--googleapi-auth
    Use GoogleAPIAuth for all services [optional]

--credential-helper
    Credential helper executable for all services [optional]

--retry-limit
    Retry limit for gRPC errors for all services [optional]

--retry-delay
    Retry delay for gRPC errors for all services [optional]

--retry-on-code
    gRPC status code(s) as string(s) to retry on for all services, e.g. 'UNKNOWN', 'INTERNAL' [optional]

--request-timeout
    Timeout for gRPC requests for all services (set to 0 to disable timeout) [optional]

--min-throughput
    Minimum throughput for gRPC requests for all services, bytes per seconds. The value may be suffixed with K, M, G or T. [optional]

--keepalive-time
    gRPC keepalive pings period for all services (set to 0 to disable keepalive pings) [optional]

--load-balancing-policy
    gRPC load balancing policy for all services (valid options are 'round_robin' and 'grpclb') [optional]

--cas-remote
    URL for the CAS service [optional]

--cas-instance
    Name of the CAS instance [optional]

--cas-server-cert
    Server TLS certificate for CAS (PEM-encoded) [optional]

--cas-client-key
    Client private TLS key for CAS (PEM-encoded) [optional]

--cas-client-cert
    Client TLS certificate for CAS (PEM-encoded) [optional]

--cas-access-token
    Authentication token for CAS (JWT, OAuth token etc), will be included as an HTTP Authorization bearer token [optional]

--cas-token-reload-interval
    Access token refresh timeout for CAS service [optional]

--cas-googleapi-auth
    Use GoogleAPIAuth for CAS service [optional]

--cas-credential-helper
    Credential helper executable for CAS service [optional]

--cas-retry-limit
    Retry limit for gRPC errors for CAS service [optional]

--cas-retry-delay
    Retry delay for gRPC errors for CAS service [optional]

--cas-retry-on-code
    gRPC status code(s) as string(s) to retry on for CAS service e.g., 'UNKNOWN', 'INTERNAL' [optional]

--cas-request-timeout
    Timeout for gRPC requests for CAS service (set to 0 to disable timeout) [optional]

--cas-min-throughput
    Minimum throughput for gRPC requests for CAS service, bytes per seconds. The value may be suffixed with K, M, G or T. [optional]

--cas-keepalive-time
    gRPC keepalive pings period for CAS service (set to 0 to disable keepalive pings) [optional]

--cas-load-balancing-policy
    gRPC load balancing policy for CAS service (valid options are 'round_robin' and 'grpclb') [optional]

--ac-remote
    URL for the Action Cache service [optional]

--ac-instance
    Name of the Action Cache instance [optional]

--ac-server-cert
    Server TLS certificate for Action Cache (PEM-encoded) [optional]

--ac-client-key
    Client private TLS key for Action Cache (PEM-encoded) [optional]

--ac-client-cert
    Client TLS certificate for Action Cache (PEM-encoded) [optional]

--ac-access-token
    Authentication token for Action Cache (JWT, OAuth token etc), will be included as an HTTP Authorization bearer token [optional]

--ac-token-reload-interval
    Access token refresh timeout for Action Cache service [optional]

--ac-googleapi-auth
    Use GoogleAPIAuth for Action Cache service [optional]

--ac-credential-helper
    Credential helper executable for Action Cache service [optional]

--ac-retry-limit
    Retry limit for gRPC errors for Action Cache service [optional]

--ac-retry-delay
    Retry delay for gRPC errors for Action Cache service [optional]

--ac-retry-on-code
    gRPC status code(s) as string(s) to retry on for Action Cache service e.g., 'UNKNOWN', 'INTERNAL' [optional]

--ac-request-timeout
    Timeout for gRPC requests for Action Cache service (set to 0 to disable timeout) [optional]

--ac-min-throughput
    Minimum throughput for gRPC requests for Action Cache service, bytes per seconds. The value may be suffixed with K, M, G or T. [optional]

--ac-keepalive-time
    gRPC keepalive pings period for Action Cache service (set to 0 to disable keepalive pings) [optional]

--ac-load-balancing-policy
    gRPC load balancing policy for Action Cache service (valid options are 'round_robin' and 'grpclb') [optional]